%global momorel 2
%global artsver 1.2.1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global kdelibsrel 1m
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global pamservice kde
%global debug 0

Name: kdebase
#Icon: kde-icon.xpm
URL: http://www.kde.org/
Summary: K Desktop Environment - core files
Version: %{kdever}
Release: %{momorel}m
#Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
# Mirror site in Japan
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 fd05a338d155610856b06988d8dff117
Source4: kde-momonga-config-3.2.3.tar.bz2
Source7: mailsettings.cc
Source21: Bluecurve.ktheme
Source100: startkde.momonga
Source101: momonga-splash.tar.gz

Patch1: kdebase-3.1.3-xpdf.patch
Patch3: kdebase-3.1.93-vroot.patch
Patch6: kdebase-3.2.0-motif.patch
Patch14: kdebase-2.1-noxs.patch
Patch19: kdebase-2.1-konqurer-reload.patch
Patch25: kdebase-3.1-linebreaks.patch
Patch33: kdebase-3.1.94-monospace.patch
Patch40: kdebase-3.2.0-keymap.patch
Patch48: kdebase-3.0.4-kdesukonsole.patch
Patch51: kdebase-3.1-kinfocenter.patch
Patch53: kdebase-3.1-ssl-krb5.patch

Patch65: kdebase-3.1.1-usb.patch
Patch71: kdebase-3.1.3-konsole-double-esc.patch

# Patch200 added by yosshy@Momonga Project (2002/10/23)
# Patch200: kdebase-3.0.4-atokx-nofocus.patch

# zaki: change default value of ResizeMode from Transparent to Opaque because Transparent mode get hung-up
Patch201: kdebase-3.1.4-default-ResizeMode-to-Opaque.patch

# from kde-core-devel
#Patch313: knotify_without_arts-kdebase.diff
Patch313: kde-3.2.3-knotify_without_arts-kdebase.patch

Obsoletes: kdpms
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: XFree86-font-utils
Requires: qt >= %{qtver}, kdelibs >= %{kdever}-%{kdelibsrel}
Requires: arts >= %{artsver}, libvorbis >= 1.0-2m, truetype-fonts-ja >= 3.1-18k, libxml2 >= 2.4.12
Requires: arts-artsc >= %{artsver}, libart_lgpl, libmad, libid3tag
BuildPrereq: qt-devel >= %{qtver}, arts-devel >= %{artsver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}, openssl-devel >= 0.9.6g openmotif-devel >= 2.2.2-2k, libvorbis-devel >= 1.0-2m
BuildPreReq: arts-artsc-devel >= %{artsver}, libart_lgpl-devel, libmad, libid3tag
BuildPrereq: cdparanoia-devel
BuildPreReq: openldap-devel >= 2.1.22-2m
BuildPreReq: lm_sensors >= 2.8.4
BuildPreReq: libraw1394-devel
BuildPreReq: cups-libs cups-devel
Requires: cups-libs
Obsoletes: 3d-screensavers
ExcludeArch: ia64

%description
Core applications for the K Desktop Environment.  Included are: 

   kdm (replacement for xdm), 
   kwin (window manager), 
   konqueror (filemanager, web browser, ftp client, ...), 
   konsole (xterm replacement), 
   kpanel (application starter and desktop pager), 
   kaudio (audio server),
   kdehelp (viewer for kde help files, info and man pages), 
   kthememgr (system for managing alternate theme packages) 

plus other KDE components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit, kappfinder).

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .xpdf
%patch3 -p1 -b .vroot
%patch6 -p1 -b .openmotif
%patch14 -p1 -b .noxs
%patch19 -p1 -b .reload
%patch25 -p1 -b .linebreak
%patch33 -p1 -b .fontkonsole
%patch40 -p1 -b .keymap
%patch48 -p1 -b .kdesukonsole
%patch53 -p1 -b .ssl-krb5
%patch65 -p1 -b .usb
%patch71 -p1 -b .konsole

%patch201 -p1

%patch313 -b .add-arts-disable-option~

## Bluecurve theme
#pushd kcontrol/thememgr/Themes
#tar zxf %{SOURCE21}
#popd

perl -pi -e "s,#LIB#,%{_lib},g" nsplugins/configure.in.in

%build
make -f admin/Makefile.common cvs

export QTDIR=%{qtdir} KDEDIR=%{kdedir}

%if %{debug}
export FLAGS="-O0 -g -DDEBUG=1"
%else
%ifnarch ppc
CFLAGS="%{optflags} -DNDEBUG -UDEBUG" CXXFLAGS="%{optflags} -fno-exceptions -fno-rtti -fno-check-new -DNDEBUG -UDEBUG" \
%else
CFLAGS="-O0 -DNDEBUG -UDEBUG" CXXFLAGS="-O0 -DNDEBUG -UDEBUG -fno-exceptions -fno-rtti -fno-check-new" \
%endif
%endif
CXXFLAGS="$CXXFLAGS -I/usr/include/fontconfig-1.0" \
./configure  --prefix=%{_prefix} \
	--with-xdmdir=%{_sysconfdir}/X11/kdm \
	--with-motif-includes=/usr/X11R6/include \
	--with-motif-libraries=/usr/X11R6/lib \
	--with-pam=%{pamservice} \
        --with-xinerama \
	--without-shadow \
	--disable-shadow \
	--sysconfdir=%{_sysconfdir} \
	--disable-greet-lib \
	--with-x \
        --enable-cups \
        --with-cdparanoia \
%if %{debug} == 0
	--disable-debug \
	--without-debug \
	--enable-final \
%else
	--enable-debug \
	--with-debug \
	--disable-final
%endif

make %{?_smp_mflags} -C ksysguard
make %{?_smp_mflags}
 

g++ %{optflags} -o mailsettings %{SOURCE7}

%install
rm -rf %{buildroot}
export PATH=$PATH:/usr/X11R6/bin
#make RUN_KAPPFINDER=no DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install
install -m 755 mailsettings %{buildroot}%{_prefix}/bin

# Fix up permissions on some things
chmod 4755 %{buildroot}%{_prefix}/bin/kcheckpass
chmod 2755 %{buildroot}%{_prefix}/bin/kdesud

#install pam configuration file
mkdir -p %{buildroot}/etc/pam.d
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/kde.pamd \
	%{buildroot}/etc/pam.d/%{pamservice}

# make symlink for our applnk directory and GNOME directory
{
	pushd %{buildroot}%{_prefix}/share/applnk
	mkdir -p %{buildroot}/etc/X11/applnk
	cat > %{buildroot}/etc/X11/applnk/.directory << EOF
# KDE Config File
[KDE Desktop Entry]
Icon=/usr/share/config/momo_icon.png
MiniIcon=/usr/share/config/momo_icon.png
Name=Momonga
EOF

	ln -sf ../../../etc/X11/applnk momonga
#	ln -sf ../gnome/apps gnome

	popd
}
# Nuke man2html - we get it from man
find %{buildroot} -pkg "man2html*" |xargs rm -rf

mkdir -p %{buildroot}/etc/pam.d
cat >%{buildroot}/etc/pam.d/kscreensaver <<EOF
#%PAM-1.0
auth	required	/lib/security/pam_stack.so service=system-auth
EOF

find %{buildroot}/konsole/other -type -f | xargs	perl -pi -e "s|/opt/kde|%{_prefix}|g" 

# install gdm session support
# mkdir -p %{buildroot}/etc/X11/gdm/Sessions
# install -m 755 $RPM_SOURCE_DIR/KDE.session.gnome \
#	%{buildroot}/etc/X11/gdm/Sessions/KDE

# install wdm session support                                                 
mkdir -p %{buildroot}/etc/X11/xinit/session.d/
cat <<END > %{buildroot}/etc/X11/xinit/session.d/kde
NAME=KDE
IFEXISTS=%{kdedir}/bin/startkde
SESSION_EXEC=%{kdedir}/bin/startkde
export IFEXISTS SESSION_EXEC
export KDEDIR=%{kdedir}
export QTDIR=%{qtdir}
export PATH=\$PATH:\$QTDIR/bin
END

install -m 755 %{SOURCE100} %{buildroot}/usr/bin/startkde

# make kups command
touch %{buildroot}%{_bindir}/kups
cat >> %{buildroot}%{_bindir}/kups <<EOF
#!/bin/sh
kcmshell System/printmgr
EOF
chmod 0755 %{buildroot}%{_bindir}/kups

# Remove 9x15 font (dupe from XFree86), and move other fonts to a more
# reasonable place
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
rm -f %{buildroot}/usr/share/fonts/9x15.pcf.gz
mv %{buildroot}/usr/share/fonts/*pcf* %{buildroot}/usr/X11R6/lib/X11/fonts/misc
rm -rf %{buildroot}/usr/share/fonts

## Remove dupes from kdeartwork
#rm -f %{buildroot}/usr/share/apps/kthememgr/Themes/Eclipse.ktheme
#rm -f %{buildroot}/usr/share/icons/locolor/16x16/apps/bell.png
#rm -f %{buildroot}/usr/share/icons/locolor/32x32/apps/bell.png

# install config files
cd %{buildroot}
tar xjf %{SOURCE4}
mv etc/skel/* %{buildroot}%{_datadir}/config

# Merge /etc/X11/applnk menus
cat >%{buildroot}/etc/kderc <<EOF
[Directories]
dir_apps=/etc/X11/applnk

[General]
StandardFont=Sans,12,-1,5,50,0,0,0,0,0
activeFont=Sans,12,-1,5,50,0,0,0,0,0
fixed=Monospace,12,-1,5,50,0,0,0,1,0
font=Sans,12,-1,5,50,0,0,0,0,0
menuFont=Sans,12,-1,5,50,0,0,0,0,0
taskbarFont=Sans,12,-1,5,50,0,0,0,0,0
toolBarFont=Sans,12,-1,5,50,0,0,0,0,0
EOF

# Make symlinks relative
cd $RPM_BUILD_ROOT/%{_docdir}/HTML/en
for i in */*/*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../../common $i
   fi
done
for i in */*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../common $i
   fi
done
for i in *; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done

#install Momonga Theme
mkdir -p %{buildroot}/usr/share/apps/ksplash/Themes
pushd %{buildroot}/usr/share/apps/ksplash/Themes
tar xzf %{SOURCE101}
popd

%clean
rm -rf %{buildroot}

%post
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
/sbin/ldconfig
rm -rf /etc/skel/Desktop
rm -rf /etc/skel/.kde

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(2755,root,root) %{_prefix}/bin/kdesud
%config /etc/kderc
%config /etc/ksysguarddrc
%config /etc/pam.d/*
/etc/xdg/menus/*
/etc/X11/applnk/.directory
/etc/X11/xinit/session.d/kde
/usr/X11R6/lib/X11/fonts/misc/console8x16.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/console8x8.pcf.gz
%{_bindir}/*
%{_libdir}/kconf_update_bin
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/*
%{_datadir}/applnk/.hidden
%{_datadir}/applnk/*.desktop
%{_datadir}/applnk/Internet
%{_datadir}/applnk/Settings/Information
%{_datadir}/applnk/Settings/LookNFeel
%{_datadir}/applnk/Settings/WebBrowsing
%{_datadir}/applnk/Settings/*.desktop
%{_datadir}/applnk/Settingsmenu
%{_datadir}/applnk/System
%{_datadir}/applnk/Toys
%{_datadir}/applnk/Utilities
%{_datadir}/applnk/momonga
%{_datadir}/apps/clockapplet
%{_datadir}/apps/drkonqi
%{_datadir}/apps/kappfinder
%{_datadir}/apps/kate
%{_datadir}/apps/kbookmark
%{_datadir}/apps/kcm_componentchooser
%{_datadir}/apps/kcmcss
%{_datadir}/apps/kcminput
%{_datadir}/apps/kcmkeys
%{_datadir}/apps/kcmlocale
%{_datadir}/apps/kcmusb
%{_datadir}/apps/kcmview1394
%{_datadir}/apps/kconf_update
%{_datadir}/apps/kcontrol
%{_datadir}/apps/kdcop
%{_datadir}/apps/kdeprint/template
%{_datadir}/apps/kdeprint_part
%{_datadir}/apps/kdeprintfax
%{_datadir}/apps/kdesktop
%{_datadir}/apps/kdewizard
%{_datadir}/apps/kdisplay
%{_datadir}/apps/kdm
%{_datadir}/apps/keditbookmarks
%{_datadir}/apps/kfindpart
%{_datadir}/apps/khelpcenter
%{_datadir}/apps/khotkeys
%{_datadir}/apps/kicker
%{_datadir}/apps/kinfocenter
%{_datadir}/apps/kio_finger
%{_datadir}/apps/kio_info
%{_datadir}/apps/kjobviewer
%{_datadir}/apps/kmenuedit
%{_datadir}/apps/konqiconview
%{_datadir}/apps/konqlistview
%{_datadir}/apps/konqsidebartng
%{_datadir}/apps/konqueror
%{_datadir}/apps/konsole
%{_datadir}/apps/kpersonalizer
%{_datadir}/apps/ksmserver
%{_datadir}/apps/ksplash
%{_datadir}/apps/ksysguard
%{_datadir}/apps/kwin
%{_datadir}/apps/kwrite
%{_datadir}/apps/naughtyapplet
%{_datadir}/autostart/*
%{_datadir}/config/Desktop/.directory
%{_datadir}/config/Desktop/*
%{_datadir}/config/kde/Autostart/.directory
%{_datadir}/config/kdesktop_custom_menu*
%{_datadir}/config/kdm
%{_datadir}/config/*rc
%{_datadir}/config/kxkb_groups
%{_datadir}/config/mo*.png
%{_datadir}/config/*.desktop
%{_datadir}/desktop-directories
%{_datadir}/doc/HTML/en/*
%{_datadir}/doc/kdm/README
%{_datadir}/icons/crystalsvg/*/apps
%{_datadir}/icons/crystalsvg/*/actions/*
%{_datadir}/icons/crystalsvg/*/devices/*
%{_datadir}/icons/crystalsvg/*/filesystems
%{_datadir}/icons/hicolor
%{_datadir}/icons/locolor
%{_datadir}/locale/en_US/entry.desktop
%{_datadir}/locale/l10n
%{_datadir}/mimelnk/application/*
%{_datadir}/mimelnk/fonts/*
%{_datadir}/mimelnk/kdedevice
%{_datadir}/mimelnk/print
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/kded/*.desktop
%{_datadir}/services/searchproviders
%{_datadir}/services/useragentstrings
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*
%{_datadir}/templates
%{_datadir}/wallpapers/*

%{_includedir}/*.h
%{_includedir}/kate/*.h
%{_includedir}/kate/utils
%{_includedir}/ksgrd/*.h
%{_includedir}/ksplash/*.h
%{_includedir}/kwin/*.h
%{_libdir}/*.so.?

%changelog
* Mon Jul 12 2004 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-2m)
- add Momonga splash

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (3.2.3-2m)
- revised spec for rpm 4.2.

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release
- revised startkde.momonga (BugID 24)

* Sat Feb 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.0-3m)
- rebuild against lm_sensors-2.8.4-1m

* Tue Feb 17 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.0-2m)
- import knotify_without_arts-kdebase.diff to add option
  to completely disable arts from kde-core-devel ML
    http://lists.kde.org/?l=kde-core-devel&m=107696911417308&w=2

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %files (many new files)
- following patches are temporally omitted (unappliedable or already omitted)
- - Patch1: kdebase-3.0-appnames.patch
- - Patch2: kdebase-3.0.0-resource.patch
- - Patch15: kdebase-3.1.3-dtfix.patch
- - Patch22: kdebase-2.1.1-sound.patch
- - Patch27: kdebase-3.0-ptsname.patch
- - Patch37: kdebase-3.1-krdb.patch
- - Patch39: kdebase-3.0.3-themes.patch
- - Patch41: kdebase-3.1-clock.patch
- - Patch42: kdebase-3.1-kicker.patch
- - Patch50: kdebase-3.1-desktop.patch
- - Patch52: kdebase-3.1-ansi.patch
- - Patch100: kdebase-3.0.0-genkdmconf.patch
- - Patch301: fontenginecpp.diff
- - Patch306: kdebase-3.1.2-xrandr.patch
- - Patch307: kdebase-3.1.2-add_kcmranrd.patch
- - Patch312: kcmrandr-20030812-messages.patch

- following patches are replaced by new patch from Fedora
- - Patch3: kdebase-3.0.0-vroot.patch -> Patch3: kdebase-3.1.93-vroot.patch
- - Patch6: kdebase-3.1.1-staticmotif.patch -> Patch6: kdebase-3.1.2-motif.patch
- - (not applied)Patch9: kdebase-3.0.0-keydefs.patch -> kdebase-3.1.4-keydefs.patch
- - (not applied)Patch13: kdebase-3.1-config.patch -> kdebase-3.1.95-config.patch
- - Patch33: kdebase-3.1.2-monospace.patch -> Patch33: kdebase-3.1.94-monospace.patch
- - (not used)Patch38: kdebase-3.1-paneliconResize.patch -> kdebase-3.1.3-panelicon.patch
- - Patch40: kdebase-3.0.3-keymap.patch -> kdebase-3.1.93-keymap.patch
- - Patch42: kdebase-3.1-kicker.patch -> kdebase-3.1.93-kicker.patch
- following patches are imported from Fedora
- - Patch65: kdebase-3.1.1-usb.patch
- - (not applied)Patch66: kdebase-3.1.1-klipper.patch
- - Patch67: kdebase-3.1.93-kdesktop.patch
- - Patch71: kdebase-3.1.3-konsole-double-esc.patch
- - (not applied)Patch72: kdebase-3.1.4-kickermenu.patch
- %{SOURCE21} is not used
- add --with-xinerama and --with-cdparanoia to ./configure

* Thu Feb  5 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.5-3m)
- Fix the problem of default KDE fonts
- - modified default font settings 
    (/etc/kderc, kde-momonga-config-3.1.5.tar.bz2)
- - default font is set to Sans 
    (which is an alias defined in /etc/fonts/fonts.conf and new patch in 
	qt-3.2.3-4m made it enable to choose the alias font in KDE)
- - this fix the problem that default fonts in KDE were not choosen properly
- (--login has been removed from startkde)

* Tue Jan 27 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.1.5-2m)
- add --login to startkde

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Tue Jan  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-9m)
- change default value of ResizeMode from Transparent to Opaque because Transparent mode get hung-up
- rex momorel

* Fri Dec 5 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-8m)
- rebuild against for qt-3.2.3

* Thu Nov 20 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-7m)
- rebuild against lm_sensors-2.8.1-1m

* Fri Nov 14 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-6m)
- require and buildprereq libmad, libid3tag

* Fri Nov 7 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-5m)
- rebuild against for qt-3.2.3
- Sorry. wrong momorel.

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Tue Sep 23 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.3-4m)
- rewrite %%files again

* Tue Sep 23 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.3-3m)
- rewrite %%files 

* Sat Sep 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.3-2m)
- add with_cups option
- add with_xrandr option 
- remove --restore option from ksmserver section of startkde.momonga
- add /usr/bin/filesharelist
- add /usr/share/mimelnk/kdedevice


* Wed Jul 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3 (kde-3.1.3)
  - changes are
    * konqueror: Various fixes to the Info List View.
    * konqueror: Made Ctrl+Enter for new tab in URL combo working again.
    * kio_smb: Huge update for samba 3.0.
    * kicker: "Terminal Sessions" special button supports sessions with dots in filename
    * kicker: "Terminal Sessions" special button with same sort order as the one in Konsole.
    * konsole: Added Ctrl+Shift+N as alternate default shortcut for "New Session".
    * konsole: Fixed fixed-width with proportional-font drawing routine.
    * konsole: Fixed problems with mouse and paste support and detached windows.
    * konsole: Let new color schemes take effect once kcmkonsole tells to do so.
    * konsole: Wheel mouse fixes for Mode_Mouse1000.
- remove kdebase-2.1-konqurer-reload.patch which is not work for Momonga's xfs


* Thu Jul 17 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- add fontenginecpp.diff that fixes wrong pointers dereference
  (from kde-core-devel)

* Sun Jul 13 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.2-3m)
- rm /usr/sbin/kappfinder

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
-  rebuild against cyrus-sasl2

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     kwin: Alt+Tab works while drag'n'drop (unless the application also grabs keyboard).  
     kio_smtp: Doesn't eat 100% CPU when connection breaks and fixed a confusing error message when AUTH failed ("Unknown Command" vs. "Authorization failed") 
     kscreensaver: Fixed issue where kdesktop_lock would stay running indefinitely in the background if it could not grab the keyboard/mouse, preventing the screen from being locked manually.  
     kscreensaver: Screensavers are now stopped when asking for the password [#56803] 
     kio_smb: Several bugfixes for the smbro-ioslave.  
     kdesktop: fixed minicli layout problem with Qt 3.1.2 
     kdm: fixed incorrect user window width with Qt 3.1.2 
     Konqueror: Create DCOP interface for mainwindow when object begins to exist.  
     Konqueror: Fixed tab open delays when it can't reach website.  
     Konsole: Don't flicker when selecting entire lines.  
     Konsole: Crash, selection and sort fixes in schema and session editors.  
     Konsole: Fixed mouse-wheel in mouse mode.  
     Konsole: Allow programs to resize windows if enabled.  
     Konsole: Keep output steady when triple-click selecting.  
     Konsole: Added "Print" menu command.  
     kicker: Fixed kasbar only drawing last icon from a group.
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-2m)
- invoke make -f admin/Make.common cvs

* Fri Apr 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-1m)
  update to 3.1.1a

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    kcmshell: Restored backwards compatibility wrt KDE 3.0 module names
    klipper: Escape "&" everywhere.
    konsole: 
      Removed "get prompt back"-hacks, don't assume emacs key shell bindings.
      Fixed usage of background images with spaces in the filename.
      Profile support fixes (disabled menubar etc.)
      Bookmarks invoked from "Terminal Sessions" kicker menu now set correct title.
      Fixed a problem with the "Linux" font that prevented it from being used with fontconfig.
    kdesktop: Made desktop menus pop up in unused Kicker space work.
    kicker: Fixed empty taskbar sometimes showing scroll buttons.
    konqueror: 
      Various startup performance improvements
      Fix crash when sidebar tree expands hidden directory
      Fix crash when config button hidden from config button's menu
      Extensive fixes to Netscape plugins, fixing crashes and plugin support
      Changes to default preview settings, making the defaults safer on various platforms
    Java configuration module: Make it possible to properly configure Java in all cases
    Previews: Fixed a privacy issue where previews of HTML files could access files or hosts on the network.

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1-4m)
  rebuild against openssl 0.9.7a

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1-3m)
- [Momonga-devel.ja:01456] 

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- add BuildPreReq: openldap-devel
- add BuildPreReq: lm_sensors

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Tue Jan 21 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-4m)
- konsole_grantpty permission changed 0755 --> 4755.

* Mon Jan 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.5a-3m)
- fix required release of kdelibs %%{kderel} -> %%{kdelibsrel}

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-2m)
- rebuild against kdelibs-3.0.5a-2m

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Oct 23 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-2m)
- fix atokx focus problem (Patch200).
- (See http://www.kde.gr.jp/ml/Kdeveloper/msg02535.html
-      http://www.turbolinux.co.jp/dcforum/DCForumID11/4235.html
-      http://searchqa.justsystem.co.jp/support/faq/latokx1/latxt022.html )

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdelibs-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Tue Jul 23 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-7m)
- konqueror supports TAB for KDE-3.0.2.
- (Patch28: kdebase-3.0.2-konqtab.patch)

* Sat Jul 20 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (3.0.2-6m)
- Change Requres: libvorbis to libvorbis >= 1.0-2m
- Removed libogg from Requires: since libvorbis impiles libogg

* Sat Jul 20 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-5m)
- change BuildPrereq, openssl-devel >= 1.9.6a to >= 0.9.6a

* Sat Jul 20 2002 kourin <kourin@momonga-linux.org>
- (3.0.2-4m)
- fix BuildPreReq, libvorbis -> libvorbis-devel

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (3.0.2-3m)
- added BuildPreReq: libvorbis >= 1.0-2m

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- add startkde-momonga, kde-momonga-config-3.0.2.tar.gz

* Tue Jun 18 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-4k)
- change build options. ( use %{optflags} ).

* Mon Jun 10 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up to 3.0.1.

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-14k)
- mkfontdir tukattendaro korua.

* Mon May 13 2002 Toru Hoshina <t@Kondara.org>
- (3.0.0-12k)
- rebuild against openmotif 2.2.2.

* Tue Apr  9 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-10k)
  Konqueror TAB Support.

* Tue Apr  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-8k)
- applied kdebase-3.0-samba-add-TerminalCode-20020407.diff

* Sun Apr  7 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-6k)
- change startkde.kondara (fix twice startup problem)

* Fri Apr  5 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-4k)
- applied kdebase-3.0.0-genkdmconf.patch

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003004k)
- rebuild.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Sun Nov 25 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-14k)
- for AA etc...

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-12k)
- revised spec file.
- /etc/skel stuff moved.
- require truetype-font-ja for Japanese 'AA' user at this time.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- rebuild against libpng 1.2.0.

* Sat Oct 13 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- revised initial configuratiron.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- Sorry, qt.fontguess missed!! oh my god.

* Sun Oct  7 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- ksplash and ksmserver avoid to use i18n() when QT_XFT is enabled,
  however konsole isn't quite fixed.....
- revise kde-kondara-config-2.2.1.tar.bz2 and kdebase-2.2.1-kondara.patch.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Mon Sep 17 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-8k)
- just strip... sorry.

* Mon Sep 10 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-6k)
- BuildRequire lesstif-devel to make sure recompiled versions of Konqueror
  support Netscape plugins.
- Require libogg libvorbis.

* Sat Aug 25 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.0-4k)
- add Buildprereq: cdparanoia-devel

* Tue Aug 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alphae.

* Thu May 31 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Sun Apr 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2alpha1-2k)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-4k)
- rebuild against openssl 0.9.6.

* Tue Mar 20 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-4k]
- revised %files.

* Fri Mar 16 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-2k]

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-14k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- add new patches.

* Tue Dec 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- add kdebase-2.0.1-netscape_bookmark-kondara.patch.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-6k]
- rebuild against egcs++.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-5k]
- rebuild against new environment XFree86-4.0.1-39k.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment gcc-2.95.2, glibc-2.2.

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Fri Nov 03 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- update kdebase-2.0-kdmconfig.patch
- update kdebase-2.0-kwin-nofreeze-20001024.diff
- add GIF Support switch.
- release.

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.3k]
- add kdebase-2.0rc2-kwin-nofreeze-20001011.diff.
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- enable debug mode.

* Wed Oct 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Thu Sep 28 2000 Kenichi Matsubara <m@kondara.org>
- add kdebase-1.94-kwin-i18n-20000928.diff
- add kdebase-1.94-kwin-nofreeze-20000924.diff

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- fix kdm/configure.in.in, do not need to check /etc/X11/kdm/xdm-config.

* Mon Sep 25 2000 Kenichi Matsubara <m@kondara.org>
- little bugfix spec file for Alpha.

* Sun Sep 24 2000 Kenichi Matsubara <m@kondara.org>
- bugfix spec file [ %files sections.]

* Wed Sep 20 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Fri Jun 23 2000 Kenichi Matsubara <m@kondara.org>
- add kdebase-1.91-without-openssl-kondara.patch.

* Mon Jun 19 2000 Kenichi Matsubara <m@kondara.org>                           
- update 1.91.                                                               

* Tue May 16 2000 Kenichi Matsubara <m@kondara.org>                        
- initital release Kondara MNU/Linux. 
